import httpRequest from '@/utils/axios'

/**
 * 获取成员列表
 */
export function getUserList(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/users`, { params })
}

/**
 * 获取角色列表
 */
export function getRoleList(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/roles`, { params })
}

/**
 * 新增成员
 */
export function createUser(appid, data) {
  return httpRequest.post(`/api/permissions/admin/v1/${appid}/application/user`, data)
}

/**
 * 修改成员
 */
export function updateUser(id, data) {
  return httpRequest.put(`/api/permissions/admin/v1/application/${id}/user`, data)
}

/**
 * 修改成员状态
 */
export function updateUserStatus(id, data) {
  return httpRequest.put(`/api/permissions/admin/v1/application/${id}/user-status`, data)
}

/**
 * 批量删除成员
 */
export function deleteUsers(appid, data) {
  return httpRequest.post(`/api/permissions/admin/v1/${appid}/application/batch-delete/users`, data)
}
